"use strict";

exports.__esModule = true;
exports["default"] = parse;

var _jsonTypes = require("@bconnorwhite/json-types");

exports.isJSONObject = _jsonTypes.isJSONObject;
exports.JSONObject = _jsonTypes.JSONObject;
exports.JSONValue = _jsonTypes.JSONValue;
exports.JSONArray = _jsonTypes.JSONArray;

function parse(text) {
  if (text) {
    try {
      var json = JSON.parse(text);

      if ((0, _jsonTypes.isJSONObject)(json)) {
        return json;
      } else {
        return undefined;
      }
    } catch (e) {
      return undefined;
    }
  } else {
    return undefined;
  }
}